<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.springblade</groupId>
        <artifactId>BladeX-Biz</artifactId>
        <version>2.8.0.RELEASE</version>
    </parent>

    <artifactId>blade-service</artifactId>
    <name>${project.artifactId}</name>
    <version>2.8.0.RELEASE</version>
    <packaging>pom</packaging>

    <modules>
        <module>estate</module>
        <module>community</module>
        <module>grid</module>
        <module>system-expand</module>
        <module>enterprise</module>
        <module>smart-party</module>
        <module>work-order</module>
        <module>person</module>
        <module>device</module>
        <module>third</module>
    </modules>

    <dependencies>
        <dependency>
            <groupId>org.springblade</groupId>
            <artifactId>blade-biz-common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springblade</groupId>
            <artifactId>blade-starter-tenant</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springblade</groupId>
            <artifactId>blade-starter-api-crypto</artifactId>
        </dependency>


        <!--Bladex 微服务依赖-->
        <dependency>
            <groupId>org.springblade</groupId>
            <artifactId>blade-core-boot</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springblade</groupId>
            <artifactId>blade-starter-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springblade</groupId>
            <artifactId>blade-core-cloud</artifactId>
        </dependency>


        <!--Swagger 接口文档-->
        <dependency>
            <groupId>org.springblade</groupId>
            <artifactId>blade-starter-swagger</artifactId>
        </dependency>
    </dependencies>

</project>
